Tag: appcompat

app: el tema ahora está obsoleto

Yo estaba usando Android muy bien desde ayer, pero hoy cuando ejecuté mi aplicación a través intellijIDEA me da: I/AppCompatViewInflater﹕ app:theme is now deprecated. Please move to using android:theme instead. mis estilos son: <resources> <style name="AppTheme" parent="Theme.Base"> </style> <style name="Theme.Base" parent="Theme.AppCompat.Light.NoActionBar"> <item name="android:windowNoTitle">true</item> <item name="windowActionBar">false</item> <item name="colorPrimary">@color/colorPrimary</item> <item name="colorPrimaryDark">@color/colorPrimaryDark</item> <item name="colorAccent">@color/colorAccent</item> </style> </resources> ¿cuál es […]

¿Cómo funciona el estilo appcompat library styling?

Estoy bastante confundido acerca de cómo el estilo en librería appcompat funciona. Según aquí : Ahora utilizamos la implementación de soporte de Toolbar / ActionBar en todas las plataformas, lo que significa que ya no leemos ningún android: atributos relacionados con la barra de acción. Para las aplicaciones que ya tienen configuraciones appcompat existentes, esto […]

Estilo EditarTexto personalizado con appcompat v7

Creé una vista personalizada extendiendo EditText y especificó un estilo de atributo para cambiar el color de tinte de fondo. public class CustomEditText extends EditText { public CustomEditText (Context context) { this(context, null); } public CustomEditText (Context context, AttributeSet attrs) { this(context, attrs, R.attr.customEditTextStyle); } public CustomEditText (Context context, AttributeSet attrs, int defStyle) { super(context, […]

Android Support Design gradle error

Este era mi archivo build.gradle : … dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) compile 'com.android.support:appcompat-v7:22.0.0' compile 'com.android.support:cardview-v7:21.0.+' … } antes de añadir: compile 'com.android.support:design:22.2.0' Ahora cuando construyo o reconstruyo mi proyecto (he sincronizado gradle unas cuantas veces) consigo estos errores: …/utils/CustomEditText.java Error:(6, 42) Gradle: error: cannot find symbol class TintEditText Error:(14, 35) Gradle: error: […]

AppCompat v7: ¿Debo usar Framework FragmentManager o SupportFragmentManager?

Estoy haciendo una aplicación que debería tener minSdk = 15 y targetSdk = 21, por lo tanto, quiero utilizar las características proporcionadas por la librería appcompat-v7. Siempre me he preguntado si debería usar getFragmentManager o getSupportFragmentManager cuando utilice la biblioteca de soporte-v7. Estoy encontrando un pequeño problema ahora: al usar getFragmentManager (y por lo tanto […]

Cómo obtener Lollipop "hamburger" como icono de cajón en la aplicación Fragmento estándar (sin utilizar AppCompat)?

Cuando uso AppCompat lib (v21) tengo ActionBar con nuevo estilo de "hamburguesa" icono. Es posible obtener el mismo comportamiento, pero no usar AppCompat. Me gustaría tener el tema estándar de Holo.Light con el nuevo icono de "hamburguesa" (cajón) en ActionBar.

La barra de herramientas de Android se vuelve translúcida al navegar hacia atrás

Ejemplo de proyecto que ilustra el problema https://github.com/justincpollard/TransparentToolbarExample Fondo Tenemos una combinación Activity / Fragment para mostrar contenido en nuestra aplicación. Nuestros usuarios son capaces de navegar entre piezas de contenido, que esencialmente pone estos combos de Activity / Fragment uno encima del otro. Tocar el botón de retroceso del hardware o el botón de […]

¿Cómo crear un nuevo proyecto android sin utilizar bibliotecas de soporte?

Después de actualizar mi DDMS me di cuenta de que siempre que quiero crear un nuevo proyecto, una biblioteca de soporte llamado appcompatv7 se agrega a mi ventana de proyecto automáticamente. Y esta biblioteca añade algunos falsificadores que nunca antes había usado. Sólo quiero crear un proyecto androide simple con una actividad en blanco y […]

¿Qué es un tema de AppCompat en android?

Estoy empezando con el desarrollo de Android para tener conmigo. He descargado Android Studio, y cuando empiezo un nuevo proyecto un tema llamado Theme.AppCompat.Light (incluso difícil he seleccionado Holo Light al crear un nuevo proyecto). Así que mi pregunta es, ¿por qué utiliza Android y para qué sirve? He intentado cambiarlo a android:Theme.Holo.Light pero solo […]

usando AppCompat-21 en los fallos del dispositivo Lollipop

Recientemente he actualizado mi nexo 5 a Lollipop. y creo una aplicación con AppCompat-21. Los estilos bajo valores-v21 son los siguientes <resources> <style name="AppTheme" parent="android:Theme.Material.Light"> </style> </resources> pero cuando ejecuto la aplicación, se bloquea con la información: Caused by: java.lang.IllegalStateException: You need to use a Theme.AppCompat theme (or descendant) with this activity. aquí está mi […]

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.